public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-java/bsf/
Date: Sun, 02 Mar 2025 15:45:46 +0000 (UTC)	[thread overview]
Message-ID: <1740930302.d25f15426a9df2fb644e62c3306381f31456f165.sam@gentoo> (raw)

commit:     d25f15426a9df2fb644e62c3306381f31456f165
Author:     Volkmar W. Pogatzki <gentoo <AT> pogatzki <DOT> net>
AuthorDate: Sun Mar  2 14:04:55 2025 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Mar  2 15:45:02 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d25f1542

dev-java/bsf: add 2.4.0-r6, switch to rhino slot 0

Signed-off-by: Volkmar W. Pogatzki <gentoo <AT> pogatzki.net>
Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-java/bsf/bsf-2.4.0-r6.ebuild | 77 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 77 insertions(+)

diff --git a/dev-java/bsf/bsf-2.4.0-r6.ebuild b/dev-java/bsf/bsf-2.4.0-r6.ebuild
new file mode 100644
index 000000000000..5bd8b3c2b018
--- /dev/null
+++ b/dev-java/bsf/bsf-2.4.0-r6.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+JAVA_PKG_IUSE="doc source"
+
+inherit java-pkg-2 java-pkg-simple verify-sig
+
+DESCRIPTION="Bean Script Framework"
+HOMEPAGE="https://commons.apache.org/proper/commons-bsf/"
+SRC_URI="mirror://apache/commons/bsf/source/bsf-src-${PV}.tar.gz
+	verify-sig? ( https://downloads.apache.org/commons/bsf/source/bsf-src-${PV}.tar.gz.asc )"
+S="${WORKDIR}/${P}"
+
+LICENSE="Apache-2.0"
+SLOT="2.3"
+KEYWORDS="~amd64 ~arm64 ~ppc64 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
+
+# If you add new ones, add them to ant-apache-bsf too for use dependencies
+IUSE="javascript tcl"
+
+VERIFY_SIG_OPENPGP_KEY_PATH="/usr/share/openpgp-keys/commons.apache.org.asc"
+BDEPEND="verify-sig? ( sec-keys/openpgp-keys-apache-commons )"
+CDEPEND="
+	dev-java/commons-logging:0
+	dev-java/xalan:0
+	javascript? ( >=dev-java/rhino-1.8.0:0 )
+	tcl? ( dev-java/jacl:0 )
+"
+DEPEND="${CDEPEND}
+	>=virtual/jdk-1.8:*"
+RDEPEND="${CDEPEND}
+	>=virtual/jre-1.8:*"
+
+DOCS=( CHANGES.txt NOTICE.txt README.txt RELEASE-NOTE.txt TODO.txt )
+
+JAVA_GENTOO_CLASSPATH="
+	commons-logging
+	xalan
+"
+JAVA_MAIN_CLASS="org.apache.bsf.Main"
+JAVA_RESOURCE_DIRS="res"
+JAVA_SRC_DIR="src"
+
+src_prepare() {
+	java-pkg-2_src_prepare
+	rm -r src/org/apache/bsf/engines/{java,javaclass,jython,netrexx} || die
+	if use javascript; then
+		JAVA_GENTOO_CLASSPATH+=" rhino"
+	else
+		rm -r src/org/apache/bsf/engines/javascript || die
+	fi
+	if use tcl; then
+		JAVA_GENTOO_CLASSPATH+=" jacl"
+	else
+		rm -r src/org/apache/bsf/engines/jacl || die
+	fi
+	# java-pkg-simple.eclass wants resources in JAVA_RESOURCE_DIRS
+	mkdir res || die "create res"
+	pushd src > /dev/null || die "pushd"
+		find -type f -name '*.properties' \
+			| xargs cp --parent -t ../res || die "copy resources"
+	popd > /dev/null
+}
+
+src_install() {
+	java-pkg-simple_src_install
+#	java-pkg_register-optional-dependency bsh,groovy-1,jruby
+}
+
+pkg_postinst() {
+	elog "Support for javascript and tcl is controlled via USE flags."
+	elog "Also, following languages can be supported just by installing"
+	elog "respective package with USE=\"bsf\": BeanShell (dev-java/bsh),"
+	elog "Groovy (dev-java/groovy) and JRuby (dev-java/jruby)"
+}


             reply	other threads:[~2025-03-02 15:45 UTC|newest]

Thread overview: 23+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2025-03-02 15:45 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-03-03 11:09 [gentoo-commits] repo/gentoo:master commit in: dev-java/bsf/ Sam James
2024-02-03 21:34 Sam James
2024-02-03 21:34 Sam James
2024-02-03 21:11 Jakov Smolić
2024-02-03 19:09 Sam James
2024-01-05 10:30 Miroslav Šulc
2024-01-04 12:29 Miroslav Šulc
2024-01-04 12:29 Miroslav Šulc
2022-04-28  7:43 Miroslav Šulc
2022-04-27 18:16 Arthur Zamarin
2022-04-27 18:11 Arthur Zamarin
2022-04-27 11:21 Jakov Smolić
2022-04-27 11:21 Jakov Smolić
2022-01-10 19:10 Arthur Zamarin
2021-11-30 20:51 Arthur Zamarin
2021-10-19  0:15 Sam James
2018-03-01  8:39 Michał Górny
2016-02-09 18:45 Patrice Clement
2016-02-09 18:45 Patrice Clement
2016-02-09 18:45 Patrice Clement
2016-01-20 22:42 Patrice Clement
2016-01-20 22:15 Patrice Clement

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1740930302.d25f15426a9df2fb644e62c3306381f31456f165.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox